import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { AppComponent } from './app.component';
import { IgxDataChartCoreModule, IgxDataChartCategoryModule, IgxDataChartCategoryCoreModule, IgxLegendModule,
         IgxCalloutLayerModule, IgxDataChartStackedModule, IgxDataChartAnnotationModule, IgxDataChartInteractivityModule }
  from 'igniteui-angular-charts';
import { IgxTabsModule, IgxGridModule, } from 'igniteui-angular';
import { ChartPageComponent } from './chart-page/chart-page.component';
import { OutComponent } from './charts/out/out.component';

@NgModule({
  declarations: [
    AppComponent,
    ChartPageComponent,
    OutComponent
  ],
  imports: [
    BrowserAnimationsModule,
    BrowserModule,
    IgxCalloutLayerModule,
    IgxDataChartAnnotationModule,
    IgxDataChartCategoryModule,
    IgxDataChartCategoryCoreModule,
    IgxDataChartCoreModule,
    IgxDataChartInteractivityModule,
    IgxDataChartStackedModule,
    IgxLegendModule,
    IgxGridModule,
    IgxTabsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
